from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.FacialExpression('ko')

dt.load_model()

while True:
    image = cam.read()
    if dt.detect(image):
        image = dt.draw_result(image)
        label = dt.get_label()
        print(label)
        if label == '놀람' or label == '화남':
            hamster.stop()
        else:
            hamster.line_both()
    
    cam.show(image)
    if cam.check_key() == 'esc': break
