import roboidai as ai

cam = ai.Camera('usb0', flip='h')

dt = ai.HandPose()
dt.load_model()

def check_finger(id):
    dist1 = dt.distance(dt.get_xy('right',0), dt.get_xy('right',id,0))
    dist2 = dt.distance(dt.get_xy('right',0), dt.get_xy('right',id,2))
    return dist1 > dist2

while True:
    image = cam.read()
    if dt.detect(image):
        index = check_finger(2)
        pinky = check_finger(5)
        if index and not pinky: print('가위')
        elif not index and not pinky: print('바위')
        elif index and pinky: print('보')
        
        image = dt.draw_result(image)
    
    cam.show(image)
    if cam.check_key() == 'esc': break