import roboidai as ai

tmi = ai.TmImage()
tmi.load_model('c:/Example/가위바위보')

cam = ai.Camera('usb0', flip='h', square=True)
cam.count_down(3)

while True:
    image = cam.read()
    if tmi.predict(image):
        label = tmi.get_label()
        conf = tmi.get_conf()
        if conf > 0.8:
            print(label, conf)
    
    cam.show(image)
    if cam.check_key() == 'esc': break
