import roboidai as ai

cam = ai.Camera('usb0', flip='h')
dt = ai.HandPose()
knn = ai.Knn()

dt.load_model()

knn.load_train('OK', 'c:/Example/OK.csv')
knn.load_train('하트', 'c:/Example/하트.csv')
knn.train()

while True:
    image = cam.read()
    if dt.detect(image):
        print(knn.predict(dt.get_feature()))
    
    cam.show(image)
    if cam.check_key() == 'esc': break