from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.FacialExpression('ko')

dt.load_model()

while True:
    image = cam.read()
    if dt.detect(image):
        image = dt.draw_result(image)
        label = dt.get_label()
        print(label)
        if label == '놀람':
            hamster.board_right()
            for _ in range(3):
                hamster.board_forward()
            break
    
    cam.show(image)
    if cam.check_key() == 'esc': break

hamster.stop()
wait(100)