from roboid import *
import roboidai as ai

hamster = HamsterS()

cam = ai.Camera('usb0')
dt = ai.FacialExpression('ko')

dt.load_model()

def wait_until_surprise():
    while True:
        image = cam.read()
        if dt.detect(image):
            image = dt.draw_result(image)
            if dt.get_label() == '놀람':
                break
        cam.show(image)
        if cam.check_key() == 'esc': break
    
hamster.board_forward()
for _ in range(2):
    wait_until_surprise()
    hamster.board_right()
    hamster.board_forward()
    hamster.board_forward()

hamster.stop()
wait(100)